# Interface PromiseOptions

interface PromiseOptions {
Promise: Id;
Rejected: Id;
Resolved: Id;
Results: boolean;
Then: Id;
client: ApolloClient<any>;
id: Id;
timeout?: number;
}

- Defined in work/deeplinks/deeplinks/imports/promise.ts:14

#####
Index

### Properties

Promise
Rejected
Resolved
Results
Then
client
id
timeout?

##
Properties

### Promise

Promise: Id

- Defined in work/deeplinks/deeplinks/imports/promise.ts:19

### Rejected

Rejected: Id

- Defined in work/deeplinks/deeplinks/imports/promise.ts:21

### Resolved

Resolved: Id

- Defined in work/deeplinks/deeplinks/imports/promise.ts:20

### Results

Results: boolean

- Defined in work/deeplinks/deeplinks/imports/promise.ts:22

### Then

Then: Id

- Defined in work/deeplinks/deeplinks/imports/promise.ts:18

### client

client: ApolloClient<any>

- Defined in work/deeplinks/deeplinks/imports/promise.ts:17

### id

id: Id

- Defined in work/deeplinks/deeplinks/imports/promise.ts:15

### `Optional` timeout

timeout?: number

- Defined in work/deeplinks/deeplinks/imports/promise.ts:16